<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/trainingclass">
	<employeelist>
	
		<course_title><xsl:value-of select="title" /></course_title>
		
		<!-- create attributes for the start and end course dates -->
		<course_date>
			<xsl:attribute name="start"><xsl:value-of select="start_date"/></xsl:attribute>
			<xsl:attribute name="end"><xsl:value-of select="end_date"/></xsl:attribute>		
		</course_date>
		
		<location><xsl:value-of select="location" /></location>

		<!-- Perform a loop for each student in the training class -->
		<xsl:for-each select="student" >
			<employee>
				<name>
					<first><xsl:value-of select="first_name"/></first>
					<last><xsl:value-of select="last_name"/></last>
				</name>
				<email><xsl:value-of select="email"/></email>
			</employee>
		</xsl:for-each>

	</employeelist>
</xsl:template>
</xsl:stylesheet>
